Name:           me-tv
Version:        0.5.23
Url:            https://launchpad.net/me-tv
Summary:        Me TV is a digital television (DVB) viewer for GNOME
License:        GPL v2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:	perl-libxml-perl pkgconfig libglade2-devel libxine-devel glibmm2.4-devel
BuildRequires:	libgnome-devel libgnet2-devel gtkhtml2-devel intltool gcc-c++ gtk-doc
Source0:        %{name}-%{version}.tar.gz
Release:	%mkrel 1
Group:		Graphical desktop/GNOME


%description
Me TV is a digital television (DVB) viewer for GNOME. Me TV was developed
for the modern digital lounge room with a PC for a media centre that is capable 
of normal PC tasks (web surfing, word processing and watching TV). 
It is not designed to be a full-blown media centre, such as MythTV, 
but will integrate well with an existing GNOME desktop.

%prep
%setup -q

%build
autoreconf -fi
%configure2_5x CXXFLAGS=-DSCAN_DIRECTORY=\\\"/usr/share/dvb-apps/scan\\\"

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

desktop-file-install \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

%post
%{update_menus}
%postun
%{clean_menus}

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/me-tv
%{_datadir}/%{name}
%{_datadir}/applications/me-tv.desktop
%{_datadir}/locale/*/LC_MESSAGES/me-tv.mo
%{_datadir}/gnome/help/me-tv/C/me-tv.xml
#%{_datadir}/pixmaps/me-tv.png
%{_datadir}/pixmaps/me-tv.xpm
%dir %{_datadir}/%{name}

%doc README
%changelog
* Mon Mar 03 2008 Doktor5000 <rpm@mandrivauser.de> 0.5.23-1mud2008.0
- new version 0.5.23
- added SCAN_DIRECTORY configure option

* Tue Feb 12 2008 Doktor5000 <rpm@mandrivauser.de> 0.5.17-1mud2008.0
- initial package for Mandrivalinux 2008.0
- new version 0.5.17